> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Seen Message

> Mark messages as seen or read to track message engagement and confirm recipient viewing status.



## OpenAPI

````yaml POST /send-message/seen
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /send-message/seen:
    post:
      tags:
        - Send Message
        - SendMessage
      description: >-
        Mark messages as seen or read to track message engagement and confirm
        recipient viewing status.
      operationId: sendMessage.seenMessage
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SeenMessageRequest'
      responses:
        '200':
          description: '`DeleteMessageResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteMessageResource'
        '400':
          $ref: '#/components/responses/BadRequestException'
        '401':
          $ref: '#/components/responses/UnauthorizedException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          $ref: '#/components/responses/InternalServerErrorException'
components:
  schemas:
    SeenMessageRequest:
      type: object
      properties:
        message_id:
          type: string
          description: Message ID.
          example: false_xxx@c.us_3A3729D867221FE0B9BD
      required:
        - message_id
      title: SeenMessageRequest
    DeleteMessageResource:
      type: object
      properties:
        success:
          type: boolean
          description: The success status of response.
        message:
          type: string
          description: The message of response.
        data:
          type: object
          properties:
            status:
              type: string
              description: Status of deletion
            type:
              type: string
              description: Indicates if the message is starred or not
            timestamp:
              type: string
              description: The timestamp when it sent.
          required:
            - status
            - type
            - timestamp
      required:
        - success
        - message
        - data
      title: DeleteMessageResource
  responses:
    BadRequestException:
      description: Bad request error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    UnauthorizedException:
      description: Unauthorized error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
    InternalServerErrorException:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````